Subject: Re: [Pals] Warren Kumari's No Objection on draft-ietf-pals-status-reduction-04: (with COMMENT)

From: Luca Martini <[email-masked]>
Date: Wed, 10 May 2017 18:52:42 -0600

Warren,
Thanks for the comment, I updated the document to remove all the extra |
as you mention.
To answer your question: We wanted an example algorithm that would work
in the document.

Luca

On 04/10/17 13:16, Warren Kumari wrote:
> Warren Kumari has entered the following ballot position for
> draft-ietf-pals-status-reduction-04: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-pals-status-reduction/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> I agree with Benoit re: Jürgen's review.
>
> I was also quite confused by:
> " In order to get a locally unique session ID, the recommended choice is
> to perform a CRC-16 giving as input the following data
>        |Y|Y|M|M|D|D|H|H|M|M|S|S|L|L|L|
>
>        Where:  YY: are the decimal two last digit of the current year
>        MM: are the decimal two digit of the current month DD: are the
>        decimal two digit of the current day HHMMSSLLL: are the decimal
>        digits of the current time expressed in (hour, minutes, seconds,
>        milliseconds) ... Any other method to
>        generate a locally unique session ID is also acceptable."
>
> Is the pipe character intended to mean concatenation? Or is it just for
> formatting?
> If the former, why isn't this "YY|MM|DD|HHMMSSLLL" (or
> "YY|MM|DD|HH|MM|SS|LLL")?
> Is this just CRC-16 (170410124223001)? An example would help...
> Actually, this says that it is a "locally unique session ID" and that any
> other method is also acceptable, so why is any algorithm specified?
>
>

---

From: Warren Kumari <[email-masked]>
Date: Thu, 11 May 2017 08:14:32 +0000

Okey dokey.

Thanks, works for me.

W

On Thu, May 11, 2017, 2:52 AM Luca Martini <[email-masked]> wrote:

> > Please refer to
> https://www.ietf.org/iesg/statement/discuss-criteria.html